heatMapPlotDefaults {iSEE} | R Documentation

## Heatmap defaults

### Description

Create default settings for heatmap panels in the iSEE interface.

### Usage

    heatMapPlotDefaults(se, number)

### Arguments

`se` | A SummarizedExperiment object.
`number` | An integer scalar, specifying the maximum number of heatmaps that can be added to the interface.

### Details

The features/rows to be used in the construction of the heatmap are specified with:

`FeatName`:

  List of length equal to the number of panels. Each list entry corresponds to a panel and should be an integer vector with the indices of the feature(s) for which to show the expression in the heatmap. Defaults to `1L` for each panel, i.e., the first feature in `se`. Alternatively, a character vector can be supplied containing the names of the features.

`Assay`:

  Integer, which assay should be used to supply the expression values shown on the y-axis? Defaults to 1, i.e., the first assay in `se`. Alternatively, a string can also be supplied containing the name of the assay, if `assays(se)` has names.

`FeatNameSource`:

  Character, which other panel should be used to choose the features to show in the heatmap? Defaults to `"---"`, which means that no panel is used for feature selection.

`FeatNameBoxOpen`:

  Logical, should the feature selection box be open upon initialization? Defaults to `FALSE`.

The column metadata variables control the ordering of the samples in the heatmap. They can be controlled with:

`ColData`:

  List of length equal to the number of panels. Each list entry corresponds to a panel and should contain a character vector specifying the field(s) of `colData(se)` that should be used to order the samples in the heatmap. Note that these fields will also appear as annotation bars. Each character vector defaults to the first entry of `colData(se)`.

`ColDataBoxOpen`:

  Logical, should the column data selection box be open upon initialization? Defaults to `FALSE`.

A variety of parameters are available to control the color scale of the heatmap. They can be specified with:

`ColorBoxOpen`:

  Logical, should the color selection panel for the heatmap be open upon initialization? Defaults to `FALSE`.

`CenterScale`:

  List of length equal to the number of panels. Each list entry corresponds to a panel and contains a character vector specifying whether each row of expression values should be mean-centered and/or scaled to unit variance. Defaults to `"Centered"`. Users can set it to `c("Centered", "Scaled")` to obtain mean-centered and unit-scaled rows.

`Lower`:

  Numeric, what should be the lower bound of the color scale for the values in the heatmap? All values below this threshold will be shown in the same color. Defaults to -Inf, meaning that the lowest value in the data matrix will be used.

`Upper`:

  Numeric, what should be the upper bound of the color scale for the values in the heatmap? All values above this threshold will be shown in the same color. Defaults to Inf, meaning that the highest value in the data matrix will be used.

`ColorScale`:

  Character, what color scale (in the form low-mid-high) should be used to color the heatmap when values are centered? Defaults to `"purple-black-yellow"`.

The `ZoomData` field for heatmaps should contain an integer vector of consecutive indices to zoom into from the full heatmap. This vector will subset the entries in `FeatName` for a given panel. This defaults to `NULL`, i.e., all specified features in `FeatName` are shown.

All plot-based parameters described in `?"iSEE selection parameters"` are also applicable.

### Value

A DataFrame containing default settings for parameters of each of `number` heatmap panels.

### Author(s)

Charlotte Soneson

### See Also

`?"iSEE selection parameters"`

### Examples

    example(SingleCellExperiment, echo=FALSE) # mock up 'sce'.
    heatMapPlotDefaults(sce, n=1)

[Package iSEE version 1.6.1 Index]